{
  lib,
  python3Packages,
  fetchFromGitHub,
  callPackage,
}:

python3Packages.buildPythonApplication rec {
  pname = "proton-up-qt";
  version = "2.10.2";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "DavidoTek";
    repo = "ProtonUp-Qt";
    rev = "v${version}";
    hash = "sha256-hf0ZLvn5mv0BlUgMvDwpdsa9ye3Bz47n0aSz+jgBrXg=";
  };

  pythonRemoveDeps = [
    "pyside6-essentials"
  ];

  build-system = [
    python3Packages.setuptools
  ];

  dependencies =
    with python3Packages;
    [
      pyside6
      pyxdg
      pyyaml
      requests
      vdf
      zstandard
    ]
    ++ [
      (callPackage ./inputs.nix { })
      (callPackage ./steam.nix { })
    ];

  meta = {
    description = "Install and manage GE-Proton, Luxtorpeda & more for Steam and Wine-GE & more for Lutris with this graphical user interface";
    homepage = "https://github.com/DavidoTek/ProtonUp-Qt";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ CaptainJawZ ];
    mainProgram = "proton-up-qt";
  };
}
